Subject: Re: [lojban] As Kunsunlundz said... [was RE: RECORD:containers]

From: David Bowen <[email-masked]>
Date: Mon, 26 Jun 2000 20:59:57 -0500

la xorxes cusku di'e
>
>I agree with this. The "potential botpi", or "botpi containing
>air" are clearly cop-outs to kid ourselves that we are using
>the language properly, because that is not what we have in mind
>when we use {botpi} for English "bottle". English "bottle"
>corresponds much more closely to the single argument function
>Bottle(x) than to the two valued BottleContaining(x,y), which
>is what {botpi} is. Presumably a fluent Lojban speaker would
>not be influenced by the English keyword and would not tend
>to associate an empty bottle with the predicate {botpi} unless
>for some reason considering potential contents makes sense in
>that context. But we're not there yet.
>
>co'o mi'e xorxes

Well, do we have a Curry operator in Lojban? For those not up on
mathematical in jokes, treating a function of two arguments F(x,y)
as (F(x))(y) is often referred to as currying, I assume after Haskell
Curry. Break out the chutney and rice, we're having curried functions
for dinner tonight.

co'o mi'e deiv